Loading...
Searching...
No Matches
RDKit::Descriptors::PropertyFunctor Struct Reference

`#include <Property.h>`

## Public Member Functions

| PropertyFunctor (std::string name, std::string version, double(*func)(const ROMol &)=nullptr)
virtual | ~PropertyFunctor ()
virtual double | operator() (const RDKit::ROMol &mol) const
| Compute the value of the property.
const std::string | getName () const
| Return the name of the property.
const std::string | getVersion () const
| Return the properties version.

## Public Attributes

std::string | propName
std::string | propVersion
double(* | d_dataFunc )(const ROMol &)

## Detailed Description

Definition at line 47 of file Property.h.

## Constructor & Destructor Documentation

## PropertyFunctor()

RDKit::Descriptors::PropertyFunctor::PropertyFunctor | ( | std::string | name,
|  | std::string | version,
|  | double(* | func )(const ROMol &) = nullptr )

inline

Definition at line 54 of file Property.h.

References d_dataFunc, propName, and propVersion.

## ~PropertyFunctor()

virtual RDKit::Descriptors::PropertyFunctor::~PropertyFunctor | ( |  | ) |

inline virtual

Definition at line 59 of file Property.h.

## Member Function Documentation

## getName()

const std::string RDKit::Descriptors::PropertyFunctor::getName | ( |  | ) | const

inline

Return the name of the property.

Definition at line 67 of file Property.h.

References propName.

## getVersion()

const std::string RDKit::Descriptors::PropertyFunctor::getVersion | ( |  | ) | const

inline

Return the properties version.

Definition at line 69 of file Property.h.

References propVersion.

## operator()()

virtual double RDKit::Descriptors::PropertyFunctor::operator() | ( | const RDKit::ROMol & | mol | ) | const

inline virtual

Compute the value of the property.

Definition at line 62 of file Property.h.

References d_dataFunc.

## Member Data Documentation

## d_dataFunc

double(* RDKit::Descriptors::PropertyFunctor::d_dataFunc) (const ROMol &)

Definition at line 52 of file Property.h.

Referenced by operator()(), and PropertyFunctor().

## propName

std::string RDKit::Descriptors::PropertyFunctor::propName

Definition at line 50 of file Property.h.

Referenced by getName(), and PropertyFunctor().

## propVersion

std::string RDKit::Descriptors::PropertyFunctor::propVersion

Definition at line 51 of file Property.h.

Referenced by getVersion(), and PropertyFunctor().

The documentation for this struct was generated from the following file:

- Property.h